GLFW

- Documentation
- Download
- Community

Data Fields
GLFWimage Struct Reference
Window reference

Image data. More...

## Data Fields
int | width
int | height
unsigned char * | pixels

## Detailed Description

This describes a single 2D image. See the documentation for each related function what the expected pixel format is.

See also
  Custom cursor creation
  Window icon

Since
  Added in version 2.1. GLFW 3: Removed format and bytes-per-pixel members.

## Field Documentation

## ◆ width

int GLFWimage::width

The width, in pixels, of this image.

## ◆ height

int GLFWimage::height

The height, in pixels, of this image.

## ◆ pixels

unsigned char* GLFWimage::pixels

The pixel data of this image, arranged left-to-right, top-to-bottom.

The documentation for this struct was generated from the following file:

- glfw3.h